<template>
  <div
    v-if="shouldShowError"
    class="mt-4 p-4 w-full bg-red-dark text-white text-center rounded"
  >
    An error ocurred while processing the dataset: <em>{{ errorMessage }}</em>
    <br />
    Try to run again or then check the plugin server logs
  </div>
</template>

<script>
import { mapState } from "vuex";

export default {
  computed: {
    ...mapState(["errorMessage"]),

    shouldShowError() {
      return this.errorMessage !== "";
    }
  }
};
</script>
